Package org.eclipse.birt.chart.model.type

# Interface PieSeries

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `Series`

All Known Implementing Classes:
  `PieSeriesImpl`

public interface PieSeries extends Series
A representation of the model object 'Pie Series'. This is a Series type that, during design time, holds the query data for Pie charts, and during run time, holds the value for each data point in the pie that represents the series. When rendered, each series is drawn as a complete pie, and each data point in that series defines the size of the pie's slices. A pie chart with multiple series will draw multiple pies.

The following features are supported:

- `Explosion`
- `Explosion Expression`
- `Title`
- `Title Position`
- `Leader Line Attributes`
- `Leader Line Style`
- `Leader Line Length`
- `Slice Outline`
- `Ratio`
- `Rotation`
- `Clockwise`
- `Inner Radius`
- `Inner Radius Percent`

See Also:
  - `TypePackage.getPieSeries()`

## Method Summary

Modifier and Type
Method
Description
`PieSeries`
`copyInstance()`
`int`
`getExplosion()`
Returns the value of the 'Explosion' attribute.
`String`
`getExplosionExpression()`
Returns the value of the 'Explosion Expression' attribute.
`double`
`getInnerRadius()`
Returns the value of the 'Inner Radius' attribute.
`LineAttributes`
`getLeaderLineAttributes()`
Returns the value of the 'Leader Line Attributes' containment reference.
`double`
`getLeaderLineLength()`
Returns the value of the 'Leader Line Length' attribute.
`LeaderLineStyle`
`getLeaderLineStyle()`
Returns the value of the 'Leader Line Style' attribute.
`double`
`getRatio()`
Returns the value of the 'Ratio' attribute.
`double`
`getRotation()`
Returns the value of the 'Rotation' attribute.
`ColorDefinition`
`getSliceOutline()`
Returns the value of the 'Slice Outline' containment reference.
`Label`
`getTitle()`
Returns the value of the 'Title' containment reference.
`Position`
`getTitlePosition()`
Returns the value of the 'Title Position' attribute.
`boolean`
`isClockwise()`
Returns the value of the 'Clockwise' attribute.
`boolean`
`isInnerRadiusPercent()`
Returns the value of the 'Inner Radius Percent' attribute.
`boolean`
`isSetClockwise()`
Returns whether the value of the '`Clockwise`' attribute is set.
`boolean`
`isSetExplosion()`
Returns whether the value of the ' `Explosion`' attribute is set.
`boolean`
`isSetInnerRadius()`
Returns whether the value of the '`Inner Radius`' attribute is set.
`boolean`
`isSetInnerRadiusPercent()`
Returns whether the value of the '`Inner Radius Percent`' attribute is set.
`boolean`
`isSetLeaderLineLength()`
Returns whether the value of the '`Leader Line Length`' attribute is set.
`boolean`
`isSetLeaderLineStyle()`
Returns whether the value of the '`Leader Line Style`' attribute is set.
`boolean`
`isSetRatio()`
Returns whether the value of the '`Ratio`' attribute is set.
`boolean`
`isSetRotation()`
Returns whether the value of the '`Rotation`' attribute is set.
`boolean`
`isSetTitlePosition()`
Returns whether the value of the '`Title Position`' attribute is set.
`void`
`setClockwise(boolean value)`
Sets the value of the '`Clockwise`' attribute.
`void`
`setExplosion(int value)`
Sets the value of the '`Explosion`' attribute.
`void`
`setExplosionExpression(String value)`
Sets the value of the '`Explosion Expression`' attribute.
`void`
`setInnerRadius(double value)`
Sets the value of the '`Inner Radius`' attribute.
`void`
`setInnerRadiusPercent(boolean value)`
Sets the value of the '`Inner Radius Percent`' attribute.
`void`
`setLeaderLineAttributes(LineAttributes value)`
Sets the value of the '`Leader Line Attributes`' containment reference.
`void`
`setLeaderLineLength(double value)`
Sets the value of the '`Leader Line Length`' attribute.
`void`
`setLeaderLineStyle(LeaderLineStyle value)`
Sets the value of the '`Leader Line Style`' attribute.
`void`
`setRatio(double value)`
Sets the value of the '`Ratio`' attribute.
`void`
`setRotation(double value)`
Sets the value of the '`Rotation`' attribute.
`void`
`setSliceOutline(ColorDefinition value)`
Sets the value of the '`Slice Outline`' containment reference.
`void`
`setTitle(Label value)`
Sets the value of the '`Title`' containment reference.
`void`
`setTitlePosition(Position value)`
Sets the value of the ' `Title Position`' attribute.
`void`
`unsetClockwise()`
Unsets the value of the '`Clockwise`' attribute.
`void`
`unsetExplosion()`
Unsets the value of the '`Explosion`' attribute.
`void`
`unsetInnerRadius()`
Unsets the value of the '`Inner Radius`' attribute.
`void`
`unsetInnerRadiusPercent()`
Unsets the value of the '`Inner Radius Percent`' attribute.
`void`
`unsetLeaderLineLength()`
Unsets the value of the '`Leader Line Length`' attribute.
`void`
`unsetLeaderLineStyle()`
Unsets the value of the '`Leader Line Style`' attribute.
`void`
`unsetRatio()`
Unsets the value of the '`Ratio`' attribute.
`void`
`unsetRotation()`
Unsets the value of the '`Rotation`' attribute.
`void`
`unsetTitlePosition()`
Unsets the value of the ' `Title Position`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getDisplayName, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getExplosion

int getExplosion()
Returns the value of the 'Explosion' attribute. Get the explosion value to be used for the chart. This defines the amount by which the slices are displaced from the center of the pie. Specifies the 'Explosion' value to be used while displaying the pie slices.

Returns:
  the value of the 'Explosion' attribute.
See Also:
  - `isSetExplosion()`
  - `unsetExplosion()`
  - `setExplosion(int)`
  - `TypePackage.getPieSeries_Explosion()`

### setExplosion

void setExplosion(int value)
Sets the value of the '`Explosion`' attribute.

Parameters:
  `value` - the new value of the 'Explosion' attribute.
See Also:
  - `isSetExplosion()`
  - `unsetExplosion()`
  - `getExplosion()`

### unsetExplosion

void unsetExplosion()
Unsets the value of the '`Explosion`' attribute.

See Also:
  - `isSetExplosion()`
  - `getExplosion()`
  - `setExplosion(int)`

### isSetExplosion

boolean isSetExplosion()
Returns whether the value of the ' `Explosion`' attribute is set.

Returns:
  whether the value of the 'Explosion' attribute is set.
See Also:
  - `unsetExplosion()`
  - `getExplosion()`
  - `setExplosion(int)`

### getExplosionExpression

String getExplosionExpression()
Returns the value of the 'Explosion Expression' attribute. Specifies an expression to determine if the explosion will be applied to each slice.

Returns:
  the value of the 'Explosion Expression' attribute.
See Also:
  - `setExplosionExpression(String)`
  - `TypePackage.getPieSeries_ExplosionExpression()`

### setExplosionExpression

void setExplosionExpression(String value)
Sets the value of the '`Explosion Expression`' attribute.

Parameters:
  `value` - the new value of the 'Explosion Expression' attribute.
See Also:
  - `getExplosionExpression()`

### getTitle

Label getTitle()
Returns the value of the 'Title' containment reference. Holds the properties for a series title.

Returns:
  the value of the 'Title' containment reference.
See Also:
  - `setTitle(Label)`
  - `TypePackage.getPieSeries_Title()`

### setTitle

void setTitle(Label value)
Sets the value of the '`Title`' containment reference.

Parameters:
  `value` - the new value of the 'Title' containment reference.
See Also:
  - `getTitle()`

### getTitlePosition

Position getTitlePosition()
Returns the value of the 'Title Position' attribute. The default value is `"Above"`. The literals are from the enumeration `Position`. Holds the position property for a series title.

Returns:
  the value of the 'Title Position' attribute.
See Also:
  - `Position`
  - `isSetTitlePosition()`
  - `unsetTitlePosition()`
  - `setTitlePosition(Position)`
  - `TypePackage.getPieSeries_TitlePosition()`

### setTitlePosition

void setTitlePosition(Position value)
Sets the value of the ' `Title Position`' attribute.

Parameters:
  `value` - the new value of the 'Title Position' attribute.
See Also:
  - `Position`
  - `isSetTitlePosition()`
  - `unsetTitlePosition()`
  - `getTitlePosition()`

### unsetTitlePosition

void unsetTitlePosition()
Unsets the value of the ' `Title Position`' attribute.

See Also:
  - `isSetTitlePosition()`
  - `getTitlePosition()`
  - `setTitlePosition(Position)`

### isSetTitlePosition

boolean isSetTitlePosition()
Returns whether the value of the '`Title Position`' attribute is set.

Returns:
  whether the value of the 'Title Position' attribute is set.
See Also:
  - `unsetTitlePosition()`
  - `getTitlePosition()`
  - `setTitlePosition(Position)`

### getLeaderLineAttributes

LineAttributes getLeaderLineAttributes()
Returns the value of the 'Leader Line Attributes' containment reference. Holds the attributes for leader lines.

Returns:
  the value of the 'Leader Line Attributes' containment reference.
See Also:
  - `setLeaderLineAttributes(LineAttributes)`
  - `TypePackage.getPieSeries_LeaderLineAttributes()`

### setLeaderLineAttributes

void setLeaderLineAttributes(LineAttributes value)
Sets the value of the '`Leader Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Leader Line Attributes' containment reference.
See Also:
  - `getLeaderLineAttributes()`

### getLeaderLineStyle

LeaderLineStyle getLeaderLineStyle()
Returns the value of the 'Leader Line Style' attribute. The default value is `"Fixed_Length"`. The literals are from the enumeration `LeaderLineStyle`. Specifies how the leader lines are to be shown.

Returns:
  the value of the 'Leader Line Style' attribute.
See Also:
  - `LeaderLineStyle`
  - `isSetLeaderLineStyle()`
  - `unsetLeaderLineStyle()`
  - `setLeaderLineStyle(LeaderLineStyle)`
  - `TypePackage.getPieSeries_LeaderLineStyle()`

### setLeaderLineStyle

void setLeaderLineStyle(LeaderLineStyle value)
Sets the value of the '`Leader Line Style`' attribute.

Parameters:
  `value` - the new value of the 'Leader Line Style' attribute.
See Also:
  - `LeaderLineStyle`
  - `isSetLeaderLineStyle()`
  - `unsetLeaderLineStyle()`
  - `getLeaderLineStyle()`

### unsetLeaderLineStyle

void unsetLeaderLineStyle()
Unsets the value of the '`Leader Line Style`' attribute.

See Also:
  - `isSetLeaderLineStyle()`
  - `getLeaderLineStyle()`
  - `setLeaderLineStyle(LeaderLineStyle)`

### isSetLeaderLineStyle

boolean isSetLeaderLineStyle()
Returns whether the value of the '`Leader Line Style`' attribute is set.

Returns:
  whether the value of the 'Leader Line Style' attribute is set.
See Also:
  - `unsetLeaderLineStyle()`
  - `getLeaderLineStyle()`
  - `setLeaderLineStyle(LeaderLineStyle)`

### getLeaderLineLength

double getLeaderLineLength()
Returns the value of the 'Leader Line Length' attribute. Length for the leader lines. Used only if style is 'FIXED_LENGTH'.

Returns:
  the value of the 'Leader Line Length' attribute.
See Also:
  - `isSetLeaderLineLength()`
  - `unsetLeaderLineLength()`
  - `setLeaderLineLength(double)`
  - `TypePackage.getPieSeries_LeaderLineLength()`

### setLeaderLineLength

void setLeaderLineLength(double value)
Sets the value of the '`Leader Line Length`' attribute.

Parameters:
  `value` - the new value of the 'Leader Line Length' attribute.
See Also:
  - `isSetLeaderLineLength()`
  - `unsetLeaderLineLength()`
  - `getLeaderLineLength()`

### unsetLeaderLineLength

void unsetLeaderLineLength()
Unsets the value of the '`Leader Line Length`' attribute.

See Also:
  - `isSetLeaderLineLength()`
  - `getLeaderLineLength()`
  - `setLeaderLineLength(double)`

### isSetLeaderLineLength

boolean isSetLeaderLineLength()
Returns whether the value of the '`Leader Line Length`' attribute is set.

Returns:
  whether the value of the 'Leader Line Length' attribute is set.
See Also:
  - `unsetLeaderLineLength()`
  - `getLeaderLineLength()`
  - `setLeaderLineLength(double)`

### getSliceOutline

ColorDefinition getSliceOutline()
Returns the value of the 'Slice Outline' containment reference. Defines the color to be used for the slice outline.

Returns:
  the value of the 'Slice Outline' containment reference.
See Also:
  - `setSliceOutline(ColorDefinition)`
  - `TypePackage.getPieSeries_SliceOutline()`

### setSliceOutline

void setSliceOutline(ColorDefinition value)
Sets the value of the '`Slice Outline`' containment reference.

Parameters:
  `value` - the new value of the 'Slice Outline' containment reference.
See Also:
  - `getSliceOutline()`

### getRatio

double getRatio()
Returns the value of the 'Ratio' attribute. The default value is `"1"`. Defines the ratio(height/width) of the oval, 1 means it's a circle, 0 means stretch automatically.

Returns:
  the value of the 'Ratio' attribute.
See Also:
  - `isSetRatio()`
  - `unsetRatio()`
  - `setRatio(double)`
  - `TypePackage.getPieSeries_Ratio()`

### setRatio

void setRatio(double value)
Sets the value of the '`Ratio`' attribute.

Parameters:
  `value` - the new value of the 'Ratio' attribute.
See Also:
  - `isSetRatio()`
  - `unsetRatio()`
  - `getRatio()`

### unsetRatio

void unsetRatio()
Unsets the value of the '`Ratio`' attribute.

See Also:
  - `isSetRatio()`
  - `getRatio()`
  - `setRatio(double)`

### isSetRatio

boolean isSetRatio()
Returns whether the value of the '`Ratio`' attribute is set.

Returns:
  whether the value of the 'Ratio' attribute is set.
See Also:
  - `unsetRatio()`
  - `getRatio()`
  - `setRatio(double)`

### getRotation

double getRotation()
Returns the value of the 'Rotation' attribute. The default value is `"0"`. Defines the rotation of the pie, 0 means start drawing the first slice from the east.

Returns:
  the value of the 'Rotation' attribute.
See Also:
  - `isSetRotation()`
  - `unsetRotation()`
  - `setRotation(double)`
  - `TypePackage.getPieSeries_Rotation()`

### setRotation

void setRotation(double value)
Sets the value of the '`Rotation`' attribute.

Parameters:
  `value` - the new value of the 'Rotation' attribute.
See Also:
  - `isSetRotation()`
  - `unsetRotation()`
  - `getRotation()`

### unsetRotation

void unsetRotation()
Unsets the value of the '`Rotation`' attribute.

See Also:
  - `isSetRotation()`
  - `getRotation()`
  - `setRotation(double)`

### isSetRotation

boolean isSetRotation()
Returns whether the value of the '`Rotation`' attribute is set.

Returns:
  whether the value of the 'Rotation' attribute is set.
See Also:
  - `unsetRotation()`
  - `getRotation()`
  - `setRotation(double)`

### isClockwise

boolean isClockwise()
Returns the value of the 'Clockwise' attribute. The default value is `"false"`. Attribute "Clockwise" Specifies whether the pie slices are rendered in clockwise direction, by default they will be rendered in counter-clockwise direction.

Returns:
  the value of the 'Clockwise' attribute.
See Also:
  - `isSetClockwise()`
  - `unsetClockwise()`
  - `setClockwise(boolean)`
  - `TypePackage.getPieSeries_Clockwise()`

### setClockwise

void setClockwise(boolean value)
Sets the value of the '`Clockwise`' attribute.

Parameters:
  `value` - the new value of the 'Clockwise' attribute.
See Also:
  - `isSetClockwise()`
  - `unsetClockwise()`
  - `isClockwise()`

### unsetClockwise

void unsetClockwise()
Unsets the value of the '`Clockwise`' attribute.

See Also:
  - `isSetClockwise()`
  - `isClockwise()`
  - `setClockwise(boolean)`

### isSetClockwise

boolean isSetClockwise()
Returns whether the value of the '`Clockwise`' attribute is set.

Returns:
  whether the value of the 'Clockwise' attribute is set.
See Also:
  - `unsetClockwise()`
  - `isClockwise()`
  - `setClockwise(boolean)`

### getInnerRadius

double getInnerRadius()
Returns the value of the 'Inner Radius' attribute. The default value is `"0"`. Defines inner radius, if inner radius greater than 0, it should be a dount pie. If value of inner radius is between 0 and 1, the inner radius is percentage value of width/height of pie, otherwise it is actual size.

Returns:
  the value of the 'Inner Radius' attribute.
See Also:
  - `isSetInnerRadius()`
  - `unsetInnerRadius()`
  - `setInnerRadius(double)`
  - `TypePackage.getPieSeries_InnerRadius()`

### setInnerRadius

void setInnerRadius(double value)
Sets the value of the '`Inner Radius`' attribute.

Parameters:
  `value` - the new value of the 'Inner Radius' attribute.
See Also:
  - `isSetInnerRadius()`
  - `unsetInnerRadius()`
  - `getInnerRadius()`

### unsetInnerRadius

void unsetInnerRadius()
Unsets the value of the '`Inner Radius`' attribute.

See Also:
  - `isSetInnerRadius()`
  - `getInnerRadius()`
  - `setInnerRadius(double)`

### isSetInnerRadius

boolean isSetInnerRadius()
Returns whether the value of the '`Inner Radius`' attribute is set.

Returns:
  whether the value of the 'Inner Radius' attribute is set.
See Also:
  - `unsetInnerRadius()`
  - `getInnerRadius()`
  - `setInnerRadius(double)`

### isInnerRadiusPercent

boolean isInnerRadiusPercent()
Returns the value of the 'Inner Radius Percent' attribute. The default value is `"true"`. Indicates if the value of inner radius is a percent value or actual value.

Returns:
  the value of the 'Inner Radius Percent' attribute.
See Also:
  - `isSetInnerRadiusPercent()`
  - `unsetInnerRadiusPercent()`
  - `setInnerRadiusPercent(boolean)`
  - `TypePackage.getPieSeries_InnerRadiusPercent()`

### setInnerRadiusPercent

void setInnerRadiusPercent(boolean value)
Sets the value of the '`Inner Radius Percent`' attribute.

Parameters:
  `value` - the new value of the 'Inner Radius Percent' attribute.
See Also:
  - `isSetInnerRadiusPercent()`
  - `unsetInnerRadiusPercent()`
  - `isInnerRadiusPercent()`

### unsetInnerRadiusPercent

void unsetInnerRadiusPercent()
Unsets the value of the '`Inner Radius Percent`' attribute.

See Also:
  - `isSetInnerRadiusPercent()`
  - `isInnerRadiusPercent()`
  - `setInnerRadiusPercent(boolean)`

### isSetInnerRadiusPercent

boolean isSetInnerRadiusPercent()
Returns whether the value of the '`Inner Radius Percent`' attribute is set.

Returns:
  whether the value of the 'Inner Radius Percent' attribute is set.
See Also:
  - `unsetInnerRadiusPercent()`
  - `isInnerRadiusPercent()`
  - `setInnerRadiusPercent(boolean)`

### copyInstance

PieSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Series`